import { FlatDomItem } from "./types";
import { Adapter, Predicate } from 'css-select/lib/types';
export default class CSSSelectAdapter implements Adapter<FlatDomItem, FlatDomItem> {
    protected items: FlatDomItem[];
    constructor(items: FlatDomItem[]);
    isTag(node: FlatDomItem): node is FlatDomItem;
    existsOne(test: Predicate<FlatDomItem>, elems: FlatDomItem[]): boolean;
    getAttributeValue(elem: FlatDomItem, name: string): any;
    getChildren(node: FlatDomItem): FlatDomItem[];
    getName(elem: FlatDomItem): string;
    getParent(node: FlatDomItem): FlatDomItem | null;
    getSiblings(node: FlatDomItem): FlatDomItem[];
    prevElementSibling(node: FlatDomItem): FlatDomItem | null;
    getText(node: FlatDomItem): any;
    hasAttrib(elem: FlatDomItem, name: string): any;
    removeSubsets(nodes: FlatDomItem[]): FlatDomItem[];
    findAll(test: Predicate<FlatDomItem>, nodes: FlatDomItem[]): FlatDomItem[];
    findOne(test: Predicate<FlatDomItem>, elems: FlatDomItem[]): FlatDomItem | null;
    equals(a: FlatDomItem, b: FlatDomItem): boolean;
    isHovered(elem: any): boolean;
    isVisited(elem: any): boolean;
    isActive(elem: any): boolean;
}
//# sourceMappingURL=CSSSelectAdapter.d.ts.map