"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class CSSSelectAdapter {
    constructor(items) {
        this.items = items;
    }
    isTag(node) {
        return true;
    }
    existsOne(test, elems) {
        return elems.some(elem => {
            return test(elem) || this.existsOne(test, this.getChildren(elem));
        });
    }
    getAttributeValue(elem, name) {
        if (name == 'class')
            name = 'classname';
        const propKey = Object.keys(elem.element.props).find(key => key.toLowerCase() === name);
        return propKey == null ? null : elem.element.props[propKey];
    }
    getChildren(node) {
        return this.items.filter(x => { var _a; return ((_a = x.parent) === null || _a === void 0 ? void 0 : _a.element) == node.element; });
    }
    getName(elem) {
        const name = `${elem.element.type}`;
        return name.toLowerCase();
    }
    getParent(node) {
        var _a;
        return ((_a = node.parent) === null || _a === void 0 ? void 0 : _a.element) == null ? null : this.items.find(x => x.element == node.parent.element) || null;
    }
    getSiblings(node) {
        const indexes = [node.index - 1, node.index, node.index + 1];
        return this.items.filter(x => { var _a, _b; return ((_a = x.parent) === null || _a === void 0 ? void 0 : _a.element) == ((_b = node.parent) === null || _b === void 0 ? void 0 : _b.element) && indexes.includes(x.index); });
    }
    prevElementSibling(node) {
        if (node.index == 0)
            return null;
        return this.items.find(x => { var _a, _b; return ((_a = x.parent) === null || _a === void 0 ? void 0 : _a.element) == ((_b = node.parent) === null || _b === void 0 ? void 0 : _b.element) && x.index == node.index - 1; }) || null;
    }
    getText(node) {
        return null;
    }
    hasAttrib(elem, name) {
        return elem.element.props.hasOwnProperty(name);
    }
    removeSubsets(nodes) {
        return nodes;
    }
    findAll(test, nodes) {
        return nodes.filter(node => test(node));
    }
    findOne(test, elems) {
        return elems.find(test) || null;
    }
    equals(a, b) {
        return a.element == b.element;
    }
    isHovered(elem) {
        return false;
    }
    isVisited(elem) {
        return false;
    }
    isActive(elem) {
        return false;
    }
}
exports.default = CSSSelectAdapter;
